petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSHasDynamicJacobian

Signals that a dynamic Jacobian, dF/du_t, has been set

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSHasDynamicJacobian(PetscDS prob, PetscBool *hasDynJac)

Not collective

### Input Parameter

prob -The PetscDS

### Output Parameter

hasDynJac -flag that pointwise function for dynamic Jacobian has been set

### See Also

PetscDSGetDynamicJacobian(), PetscDSSetDynamicJacobian(), PetscDSGetJacobian()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages